### Enumeration

# Gtk IconViewDropPosition

deprecated: 4.20

#### Declaration

    enum Gtk.IconViewDropPosition

#### Description [src]

An enum for determining where a dropped item goes.

Deprecated since: 4.20

There is no replacement.

#### Members

`GTK_ICON_VIEW_NO_DROP`

  No drop possible.

  - Value: `0`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_INTO`

  Dropped item replaces the item.

  - Value: `1`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_LEFT`

  Dropped item is inserted to the left.

  - Value: `2`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_RIGHT`

  Dropped item is inserted to the right.

  - Value: `3`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_ABOVE`

  Dropped item is inserted above.

  - Value: `4`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_BELOW`

  Dropped item is inserted below.

  - Value: `5`
  - Available since: 4.0